####E4 Tools Demo Code
###You can use this code, along with the demo data

###Note: Make sure to change the paths in the code below, where relevant



library(E4tools)

### Part 1
E4_EDA_Process.part1.ExtractRawEDA(participant_list=c(1001:1003),
                                   ziplocation="~Documents/E4tools_demo_data/data/",
                                   rdslocation.EDA="~/Documents/E4tools_demo_data/output/raw_EDA/",
                                   summarylocation="~/Documents/E4tools_demo_data/output/summaries/",
                                   EDA_low_cut=0.001,LowPctCutoff=.75,
                                   EDA_high_cut=25,HighPctCutoff=.75)


options(scipen = 999)
RDS_data<-readRDS("~/Documents/E4tools_demo_data/output/raw_EDA/1002_EDA.rds")
head(RDS_data)


### Part 2

E4_EDA_Process.part2.ExtractButtonPresses(participant_list=c(1001:1003),
                                          ziplocation="~/Documents/E4tools_demo_data/data/",
                                          rdslocation.buttonpress="~/Documents/E4tools_demo_data/output/tags/",
                                          part1summaries="~/Documents/E4tools_demo_data/output/summaries/",
                                          cutoff.ends=2,
                                          cutoff.overlap=20)

ButtonPresses<-readRDS("~/Documents/E4tools_demo_data/output/tags/button_presses.RDS")
head(ButtonPresses)

### Part 3
E4_EDA_Process.part3.MatchPressesToEDA(participant_list=c(1001:1003),
                                       rdslocation.buttonpress="~/Documents/E4tools_demo_data/output/tags/",
                                       rdslocation.MatchedEDA="~/Documents/E4tools_demo_data/output/matched_EDA/",
                                       rdslocation.EDA="~/Documents/E4tools_demo_data/output/raw_EDA/",
                                       min.before=20,min.after=20,control=T)


### Part 4

E4_EDA_Process.part4.BinMatchedEDA(participant_list=c(1001:1003),
                                   rdslocation.MatchedEDA="~/Documents/E4tools_demo_data/output/matched_EDA/",
                                   min.after = 20,min.before = 20,
                                   rdslocation.BinnedMatchedEDA="~/Documents/E4tools_demo_data/output/")
